%define upstream_name    Dist-Zilla-PluginBundle-Author-CJM
%define upstream_version 4.13

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Get distribution version from its main_module
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Dist/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Dist::Zilla) >= 4.200.1
BuildRequires: perl(Dist::Zilla::Plugin::ArchiveRelease) >= 0.80.0
BuildRequires: perl(Dist::Zilla::Plugin::CheckPrereqsIndexed) >= 0.6.0
BuildRequires: perl(Dist::Zilla::Plugin::ExtraTests)
BuildRequires: perl(Dist::Zilla::Plugin::GatherDir)
BuildRequires: perl(Dist::Zilla::Plugin::GitVersionCheckCJM) >= 4.0.0
BuildRequires: perl(Dist::Zilla::Plugin::License)
BuildRequires: perl(Dist::Zilla::Plugin::MakeMaker)
BuildRequires: perl(Dist::Zilla::Plugin::ManifestSkip)
BuildRequires: perl(Dist::Zilla::Plugin::MatchManifest) >= 4.0.0
BuildRequires: perl(Dist::Zilla::Plugin::MetaConfig)
BuildRequires: perl(Dist::Zilla::Plugin::MetaJSON)
BuildRequires: perl(Dist::Zilla::Plugin::MetaYAML)
BuildRequires: perl(Dist::Zilla::Plugin::PodCoverageTests)
BuildRequires: perl(Dist::Zilla::Plugin::PodLoom) >= 4.100.0
BuildRequires: perl(Dist::Zilla::Plugin::PodSyntaxTests)
BuildRequires: perl(Dist::Zilla::Plugin::PruneCruft)
BuildRequires: perl(Dist::Zilla::Plugin::RecommendedPrereqs) >= 4.60.0
BuildRequires: perl(Dist::Zilla::Plugin::Repository) >= 0.160.0
BuildRequires: perl(Dist::Zilla::Plugin::TemplateCJM) >= 4.0.0
BuildRequires: perl(Dist::Zilla::Plugin::Test::PrereqsFromMeta)
BuildRequires: perl(Dist::Zilla::Plugin::TestRelease)
BuildRequires: perl(Dist::Zilla::Plugin::UploadToCPAN)
BuildRequires: perl(Dist::Zilla::Plugin::VersionFromModule) >= 0.80.0
BuildRequires: perl(Dist::Zilla::PluginBundle::Git) >= 1.103.520
BuildRequires: perl(Dist::Zilla::Role::PluginBundle::Easy)
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.300.0
BuildRequires: perl(Git::Wrapper)
BuildRequires: perl(Moose) >= 0.650.0
BuildRequires: perl(Moose::Autobox) >= 0.90.0
BuildArch:  noarch

Obsoletes:  perl-Dist-Zilla-PluginBundle-CJM <= 4.20.0
Provides:   perl-Dist-Zilla-PluginBundle-CJM

%description
If included, this plugin will process each _.pm_ and _.pod_ file under
_lib_ or in the root directory through Pod::Loom.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%{make}

%check
%{make} test

%install
%makeinstall_std

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog

* Sun Jan 13 2013 umeabot <umeabot> 4.130.0-2.mga3
+ Revision: 366560
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jun 05 2012 jquelin <jquelin> 4.130.0-1.mga3
+ Revision: 254923
- update to 4.13

* Tue Dec 13 2011 kharec <kharec> 4.120.0-1.mga2
+ Revision: 181372
- update to 4.12

* Fri Nov 18 2011 jquelin <jquelin> 4.110.0-1.mga2
+ Revision: 168848
- update to 4.11
- dist renamed upstream

* Tue Aug 30 2011 jquelin <jquelin> 4.20.0-1.mga2
+ Revision: 136662
- update to 4.02

* Wed Mar 02 2011 jquelin <jquelin> 4.10.0-1.mga1
+ Revision: 62633
- update to 4.01

* Wed Jan 26 2011 jquelin <jquelin> 0.90.0-1.mga1
+ Revision: 40636
- mageia rebuild
- imported package perl-Dist-Zilla-PluginBundle-CJM

